/* reset */
*, ::before, ::after{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-gradient-from-position: ;--tw-gradient-via-position: ;--tw-gradient-to-position: ;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgb(59 130 246 / 0.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: ;--tw-contain-size: ;--tw-contain-layout: ;--tw-contain-paint: ;--tw-contain-style: }::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-pan-x: ;--tw-pan-y: ;--tw-pinch-zoom: ;--tw-scroll-snap-strictness:proximity;--tw-gradient-from-position: ;--tw-gradient-via-position: ;--tw-gradient-to-position: ;--tw-ordinal: ;--tw-slashed-zero: ;--tw-numeric-figure: ;--tw-numeric-spacing: ;--tw-numeric-fraction: ;--tw-ring-inset: ;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgb(59 130 246 / 0.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;--tw-blur: ;--tw-brightness: ;--tw-contrast: ;--tw-grayscale: ;--tw-hue-rotate: ;--tw-invert: ;--tw-saturate: ;--tw-sepia: ;--tw-drop-shadow: ;--tw-backdrop-blur: ;--tw-backdrop-brightness: ;--tw-backdrop-contrast: ;--tw-backdrop-grayscale: ;--tw-backdrop-hue-rotate: ;--tw-backdrop-invert: ;--tw-backdrop-opacity: ;--tw-backdrop-saturate: ;--tw-backdrop-sepia: ;--tw-contain-size: ;--tw-contain-layout: ;--tw-contain-paint: ;--tw-contain-style: }/* ! tailwindcss v3.4.16 | MIT License | https://tailwindcss.com */*,::after,::before{box-sizing:border-box;border-width:0;border-style:solid;border-color:#e5e7eb}::after,::before{--tw-content:''}:host,html{line-height:1.5;-webkit-text-size-adjust:100%;-moz-tab-size:4;tab-size:4;font-family:ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";font-feature-settings:normal;font-variation-settings:normal;-webkit-tap-highlight-color:transparent}body{margin:0;line-height:inherit}hr{height:0;color:inherit;border-top-width:1px}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:ui-monospace, SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;font-feature-settings:normal;font-variation-settings:normal;font-size:1em}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{text-indent:0;border-color:inherit;border-collapse:collapse}button,input,optgroup,select,textarea{font-family:inherit;font-feature-settings:inherit;font-variation-settings:inherit;font-size:100%;font-weight:inherit;line-height:inherit;letter-spacing:inherit;color:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset{margin:0;padding:0}legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{opacity:1;color:#9ca3af}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{max-width:100%;height:auto}[hidden]:where(:not([hidden=until-found])){display:none}
			
/* font */
@font-face {
    font-family: 'Charter Regular';
    src: url('../fonts/CharterRegular.otf');
}

@font-face {
    font-family: 'Charter Black';
    src: url('../fonts/CharterBlack.otf');
}

/* img */
body {
    background: #F8F8F8;
    font-family: 'Charter Regular', sans-serif; /* 使用 @font-face 自定义的字体 */
}
.app {
    width: 100%;
    min-height: 762px;
    margin: 0 auto;
    background: #FFFFFF;
}
.cover {
    width: 100%;
    position: relative;
}
.img-fog {
    position: absolute;
    bottom: -1px;
    left: 0;
    width: 100%;
    height: 150px;
}
.title-wrap {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 100px;
    background: linear-gradient( 180deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.7) 100%);
}
.title {
    position: absolute;
    bottom: 18px;
    font-family: 'Charter Black', sans-serif; /* 使用 @font-face 自定义的字体 */
    font-weight: 900;
    font-size: 22px;
    color: #fff;
    line-height: 32px;
    width: 100%;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2; /* 这里是超出几行省略 */
    overflow: hidden;
    padding: 0 20px;
}
/* img end */

/* content */
.content {
    padding: 20px 24px 75px;
    position: relative;
    top: -20px;
}
.chapter {
    font-size: 18px;
    color: #32353A;
    line-height: 24px;
    margin-top: 22px;
    margin-bottom: 20px;
    word-break: break-all;
}
.introduce {
    font-size: 18px;
    color: #53A2FF;
    line-height: 1.625;
    position: relative;
    margin-top: 20px;
}

.text {
    color: #32353A;
    line-height: 1.625;
    font-size: 18px;
}
.text > * + * {
    margin-top: 16px;
}
/* content end */

/* button */
.reading {
    position: fixed;
    bottom: 28px;
    width: 75%;
    height: 48px;
    background: linear-gradient( 90deg, #53A2FF 0%, #7683FF 100%), #53A2FF;
    border-radius: 25px;
    text-align: center;
    line-height: 48px;
    color: #fff;
    font-weight: 900;
    margin-left: 50%;
    transform: translateX(-50%);
    font-size: 18px;
    animation: breath 2s ease-in-out infinite;
}
/* 手指动画 */
@keyframes css-1770qdb-antStatusProcessing {
    0% {
        transform: scale(0.8);
        opacity: 0.8;
    }
    100% {
        transform: scale(3.4);
        opacity: 0;
    }
}
/* 呼吸动画 */
@keyframes breath {
    0% {
        transform: translateX(-50%) scale(1);
    }
    50% {
        transform: translateX(-50%) scale(1.05);
    }
    100% {
        transform: translateX(-50%) scale(1);
    }
}
.point {
    position: absolute;
    top: 18px;
    right: 16px;
display: inline-block;
width: 12px;
height: 12px;
border-radius: 6px;
background: #fff;
overflow: visible;
}
.point::after {
position: absolute;
top: 0px;
right: 0px;
width: 12px;
height: 12px;
border-width: 1px;
border-style: solid;
border-color: inherit;
border-radius: 50%;
animation-name: css-1770qdb-antStatusProcessing;
animation-duration: 1.2s;
animation-iteration-count: infinite;
animation-timing-function: ease-in-out;
content: '';
}
.hand {
    width: 63px;
    position: absolute;
    top: 14px;
    right: -10px;
}
/* button end */

/* download app */
.download-app {
    width: 100vw;
    height: 64px;
    background: url("./download-bg.png");
    background-size: 100% 100%;
    display: flex;
    align-items: center;
    padding: 0 16px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
}
.logo {
    width: 40px;
    height: 40px;
    background: url("./logo.png");
    background-size: 100% 100%;
}
.download-desc-wrap {
    flex: 1;
    font-family: HelveticaNeue, HelveticaNeue;
    margin-left: 12px;
}
.download-title {
    font-family: HelveticaNeue, HelveticaNeue;
    font-weight: 500;
    font-size: 18px;
    color: #fff;
}
.download-desc {
    font-family: HelveticaNeue;
    font-size: 14px;
    color: #fff;
    position: relative;
    top: -2px;
}
.download-btn {
    width: 90px;
    height: 32px;
    background: #fff;
    border-radius: 16px;
    font-family: HelveticaNeue, HelveticaNeue;
    font-weight: 600;
    font-size: 14px;
    color: #53A2FF;
    text-align: center;
    line-height: 32px;
    cursor: pointer;
}

/* download app end */